Skip to main content
PUT
/
posts
/
{post}
curl -X PUT https://app.trypost.it/api/posts/9f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "platforms": [
      {
        "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
        "content": "Updated content for LinkedIn!"
      }
    ],
    "status": "scheduled",
    "label_ids": ["c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f"]
  }'
{
  "data": {
    "id": "9f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
    "status": "scheduled",
    "synced": false,
    "scheduled_at": "2025-01-15 10:00:00",
    "published_at": null,
    "platforms": [
      {
        "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
        "platform": "linkedin",
        "content": "Updated content for LinkedIn!",
        "content_type": "linkedin_post",
        "status": "pending",
        "enabled": true,
        "social_account": {
          "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
          "platform": "linkedin",
          "display_name": "John Doe",
          "username": "johndoe",
          "is_active": true,
          "status": "connected"
        }
      }
    ],
    "labels": [
      {
        "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
        "name": "Product Launch",
        "color": "#4f46e5",
        "created_at": "2025-01-10 08:00:00",
        "updated_at": "2025-01-10 08:00:00"
      }
    ],
    "created_at": "2025-01-14 09:00:00",
    "updated_at": "2025-01-14 09:30:00"
  }
}

Request

post
string
required
The post ID.
platforms
array
An array of platform entries to update.
scheduled_at
string
The new scheduled date and time. Format: Y-m-d H:i:s.
status
string
The new post status. One of: draft, scheduled, publishing.
label_ids
array
An array of label UUIDs to assign to the post. Replaces existing labels.

Response

Returns the updated post. Returns 422 if the post has already been published.
curl -X PUT https://app.trypost.it/api/posts/9f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "platforms": [
      {
        "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
        "content": "Updated content for LinkedIn!"
      }
    ],
    "status": "scheduled",
    "label_ids": ["c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f"]
  }'
{
  "data": {
    "id": "9f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
    "status": "scheduled",
    "synced": false,
    "scheduled_at": "2025-01-15 10:00:00",
    "published_at": null,
    "platforms": [
      {
        "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
        "platform": "linkedin",
        "content": "Updated content for LinkedIn!",
        "content_type": "linkedin_post",
        "status": "pending",
        "enabled": true,
        "social_account": {
          "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
          "platform": "linkedin",
          "display_name": "John Doe",
          "username": "johndoe",
          "is_active": true,
          "status": "connected"
        }
      }
    ],
    "labels": [
      {
        "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
        "name": "Product Launch",
        "color": "#4f46e5",
        "created_at": "2025-01-10 08:00:00",
        "updated_at": "2025-01-10 08:00:00"
      }
    ],
    "created_at": "2025-01-14 09:00:00",
    "updated_at": "2025-01-14 09:30:00"
  }
}